SUBDIRS = linux
# SUBDIRS = linux openbsd

INCLUDES = $(all_includes) -I$(srcdir)/../core -I../kmfwidgets -I$(srcdir)/../kmfwidgets
METASOURCES = AUTO
kde_module_LTLIBRARIES =  libkmfinstallerplugin.la
pluginsdir = $(kde_datadir)/kmyfirewall/kpartplugins
plugins_DATA = kmfinstallerpluginui.rc

partdesktopdir = $(kde_servicetypesdir)
partdesktop_DATA = kmfinstallerplugin.desktop

libkmfinstallerplugin_la_LDFLAGS = -module -no-undefined $(all_libraries) \
	$(KDE_PLUGIN) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)

libkmfinstallerplugin_la_SOURCES = kmfinstallerplugin.cpp
noinst_HEADERS = kmfinstallerplugin.h

libkmfinstallerplugin_la_LIBADD = \
	../kmfwidgets/libkmfwidgets.la ../core/libkmfcore.la $(LIB_TDEPARTS)

templatedir = $(kde_datadir)/kmyfirewall/
template_DATA = README.InstallerPackage.txt
